@import "assets/scss/global";
.create-group-container{
    background-color: initial;
    height: 100%;
    width: 100%;
    .base-content{
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        gap: 22px;

        .box-data{
            height: 100%;
            flex: 1;
            display: flex;
            flex-direction: column;
            gap: 16px;

            .box-filter-action{
                display: flex;
                flex-direction: row;
                gap: 10px;
                align-items: center;

                .a-input-with-label{
                    flex: 1;
                    height: 50px;

                    [class*='input-content']{
                        height: 48px;
                    }
                }

                .a-button-reset{
                    height: 40px;
                    box-shadow: none;
                    font-style: normal;
                    font-weight: 500;
                    font-size: 13px;
                    line-height: 17px;
                    border: 1px solid $secondary-color;
                    color: $secondary-color;
                    background: #FFF;

                    svg {
                        path {
                            fill: $secondary-color;
                        }
                    }
                    
                    &.disable{
                        border: 1px solid $border-color;
                        background: $secondary-color3;
                        color: $border-color;
                        cursor: not-allowed;
                        svg {
                            path {
                                fill: $border-color;
                            }
                        }
                    }
                }
            }

            .box-table-data{
                width: 100%;
                height: calc(100% - 60px);
                display: flex;
                justify-content: center;
            }
        }
        .box-action{
            display: flex;
            flex-direction: column;
            width: 120px;
            align-items: center;
            padding-top: 66px;
            gap: 10px;
            button{
                height: 40px;
                font-weight: 400;
                font-size: 14px;
                line-height: 22px;
                box-shadow: none;
                padding: 6px;
                width: 100px;
                text-align: center;
                svg{
                    margin: 0;
                }
                &.btn-selected{
                    background: #21C274;
                    &:hover{
                        background: #21C274;
                    }
                    svg{
                        rotate: 180deg;
                        path{
                            fill: #FFF;
                        }
                    }
                }
                &.btn-unselected{
                    background: #EF4E2B;
                    &:hover{
                        background: #EF4E2B;
                    }
                    svg{
                        path{
                            fill: #FFF;
                        }
                    }
                }
                &.disable{
                    color: rgba(0, 0, 0, 0.25);
                    background: #F5F5F5;
                    cursor: not-allowed;
                    &:hover{
                        background: #F5F5F5;
                    }
                    svg{
                        path{
                            fill: rgba(0, 0, 0, 0.25);
                        }
                    }
                }
            }
        }
    }

    .base-sticky{
        .action{
            width: 100%;
            display: flex;
            flex-direction: row;
            gap: 15px;
            align-items: center;
            justify-content: center;

            button{
                height: 40px;
                box-shadow: none;
                min-width: 132px;
                font-weight: 600;
                font-size: 16px;
                line-height: 20px;
                padding: 8px 12px;
                cursor: pointer;

                &.cancel{
                    color: #8E91A0;
                    background: #FFF;
                    border: 1px solid #8E91A0;
                }

                &.disable{
                    color: #8E91A0;
                    background: #FFF;
                    border: 1px solid #8E91A0;
                    cursor: not-allowed;
                }
            }
        }
    }
}